KDE 4.5 PyKDE API Reference

- KDE's Python API

# KUiServerJobTracker Class Reference

`from PyKDE4.kdeui import *`

Inherits: KJobTrackerInterface → QObject

## Detailed Description

The interface to implement to track the progresses of a job.

## Methods
| __init__ (self, QObject parent=0)
| description (self, KJob job, QString title, (QString,QString) field1, (QString,QString) field2)
| finished (self, KJob job)
| infoMessage (self, KJob job, QString plain, QString rich)
| percent (self, KJob job, long percent)
| processedAmount (self, KJob job, KJob.Unit unit, long amount)
| registerJob (self, KJob job)
| resumed (self, KJob job)
| speed (self, KJob job, long value)
| suspended (self, KJob job)
| totalAmount (self, KJob job, KJob.Unit unit, long amount)
| unregisterJob (self, KJob job)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new KJobTrackerInterface

Parameters:

  | parent | the parent object

description | ( | self, |
|  | KJob | job,
|  | QString | title,
|  | (QString,QString) | field1,
|  | (QString,QString) | field2
| ) |  |  |

finished | ( | self, |
|  | KJob | job
| ) |  |  |

The following slots are inherited from KJobTrackerInterface.

infoMessage | ( | self, |
|  | KJob | job,
|  | QString | plain,
|  | QString | rich
| ) |  |  |

percent | ( | self, |
|  | KJob | job,
|  | long | percent
| ) |  |  |

processedAmount | ( | self, |
|  | KJob | job,
|  | KJob.Unit | unit,
|  | long | amount
| ) |  |  |

registerJob | ( | self, |
|  | KJob | job
| ) |  |  |

Register a new job in this tracker.

Parameters:

  | job | the job to register

resumed | ( | self, |
|  | KJob | job
| ) |  |  |

speed | ( | self, |
|  | KJob | job,
|  | long | value
| ) |  |  |

suspended | ( | self, |
|  | KJob | job
| ) |  |  |

totalAmount | ( | self, |
|  | KJob | job,
|  | KJob.Unit | unit,
|  | long | amount
| ) |  |  |

unregisterJob | ( | self, |
|  | KJob | job
| ) |  |  |

Unregister a job from this tracker.

Parameters:

  | job | the job to unregister